digiKam Developer Documentation: Digikam::DRawDecoding Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Digikam::DRawDecoding Class Reference

## Public Member Functions
| DRawDecoding ()
| Standard constructor with default settings.
| DRawDecoding (const DRawDecoderSettings &prm)
| Copy constructor.
| ~DRawDecoding ()=default
| Standard destructor.
bool | operator== (const DRawDecoding &other) const
| Equality operator.
void | optimizeTimeLoading ()
| Method to use a settings to optimize time loading, for example to compute image histogram.
bool | postProcessingSettingsIsDirty () const
| Method to check is a post-processing setting have been changed.
void | resetPostProcessingSettings ()
| Method to reset to default values all Raw processing settings.
void | writeToFilterAction (FilterAction &action, const QString &prefix=QString()) const

## Static Public Member Functions
static void | decodingSettingsFromXml (const QDomElement &elm, DRawDecoderSettings &prm)
static void | decodingSettingsToXml (const DRawDecoderSettings &prm, QDomElement &elm)
| Used by BQM to read/store Queue Raw decoding settings from/to configuration file.
static DRawDecoding | fromFilterAction (const FilterAction &action, const QString &prefix=QString())

## Public Attributes
BCGContainer | bcg
| Post Processing settings -------------------------------------------------—.
CurvesContainer | curvesAdjust
| Curve adjustments.
DRawDecoderSettings | rawPrm
| All Raw decoding settings provided by RawEngine.
WBContainer | wb
| White Balance correction values.

## Constructor & Destructor Documentation

## ◆ DRawDecoding()

Digikam::DRawDecoding::DRawDecoding | ( | const DRawDecoderSettings & | prm | ) |
| explicit

Creates a copy of a DRawDecoderSettings object.

## Member Data Documentation

## ◆ bcg

BCGContainer Digikam::DRawDecoding::bcg

BCG correction values.